﻿using System.Xml.Serialization;

namespace InstanceFactory.MimicAppConfig.DataEntities
{
  /// <summary>
  /// Container for complex configuration data.
  /// </summary>
  public class ComplexConfigData
  {
    #region Public Properties

    /// <summary>
    /// Gets / sets the string value.
    /// </summary>
    [XmlAttribute]
    public string StringValue { get; set; }

    /// <summary>
    /// Gets / sets the double value.
    /// </summary>
    [XmlAttribute]
    public double DoubleValue { get; set; }

    /// <summary>
    /// Gets / sets the int value.
    /// </summary>
    [XmlAttribute]
    public int IntValue { get; set; }

    #endregion Public Properties
  }
}
